import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import { Button, Icon, Swipe, SwipeItem } from "vant";
import "@vant/touch-emulator";
import "vant/es/button/style";
import "vant/es/swipe/style";
import "vant/es/swipe-item/style";

import navbar from "./components/Navbar/index.vue";

const app = createApp(App);
app.component("navbar", navbar);
app.use(Icon);
app.use(Button);
app.use(Swipe);
app.use(SwipeItem);

app.use(router).mount("#app");
